import { DocumentsApi, Configuration, LibrariesApi } from "../openapi";

// import axios from "axios";
// import router from "@/router";
import {useUserStore} from "@/store/user";
import { useConfigStore } from "@/store/config";


const userStore = useUserStore()
const configStore = useConfigStore()

const conf = new Configuration
conf.basePath = configStore.apiServer

conf.apiKey = "Bearer " + userStore.jwt_token
const document = new DocumentsApi(conf);
const library = new  LibrariesApi(conf);


export {
    document, library, conf
}
